<?php

require_once "session.php";

$data = isset($_POST["data"]) ? $_POST["data"] : $_GET["data"];
if (empty($data)) {
    sendError("No get/post data parameter");
}

$session_data = $_SESSION["data"];
$mods         = json_decode($data, true);
$changed      = array ();

foreach ($mods as $mod) {
    $key    = array_search($mod["id"], array_column($session_data, "id"));
    $record = $session_data[$key];
    if (isset($record)) {
        foreach ($mod as $field => $value) {
            $record[$field] = $value;
        }
        $record["dt"]       = date("Y-m-d H:i:s");
        $changed[]          = $record;
        $session_data[$key] = $record;
    }
}

$_SESSION["data"] = $session_data;

echo json_encode(
    array (
        "success" => true,
        "data"    => $changed
    ));
